Zeos 6.6.6 + Firebird 2.5.2

In this forum we will discuss things relating the ZEOSLib 6.6.x stable versions

Moderators: gto, EgonHugeist

Beri75
Fresh Boarder
Fresh Boarder
Posts: 2
Joined: 26.03.2013, 09:31

Zeos 6.6.6 + Firebird 2.5.2

Postby Beri75 » 26.03.2013, 10:10

Hi,

I've an application running on Zeos 6.6.6 and Firebird 2.1.3, everything works fine.
Upgraded Firebird client to 2.5.2 when application starts now an errors occours.

TZConnection works fine, but when a TZTable object try to "open" data the error raise.

Attached the related call stack.

My application is compiled with BCB6, and unfortunately I've no found packages support on new Zeos release.
Any ideas, thx?
You do not have the required permissions to view the files attached to this post.

marsupilami
Gold Boarder
Gold Boarder
Posts: 588
Joined: 17.01.2011, 14:17

Postby marsupilami » 28.03.2013, 09:36

Hello Beri75,

Zeos 6.6 simply doesn't work with the client library of Firebird 2.5. If you need to stay with BCB6 and thus with Zeos 6.6 you can use an FB 2.1 client library for connecting to a 2.5 server too.
Best regards,

Jan

Beri75
Fresh Boarder
Fresh Boarder
Posts: 2
Joined: 26.03.2013, 09:31

Postby Beri75 » 28.03.2013, 11:26

Hi Jan,

thx a lot for your reply!

Unfortunately, tons for code constraints, I've to use BCB6, so I'll go back to FB 2.1 client...

Thx again!


Return to “6.6 - stable”

Who is online

Users browsing this forum: No registered users and 1 guest